const electron = require("electron");
const url = require("url"); // *Hangi HTML sayfasını kullancağımızı belirler.
const path = require("path");
const { protocol } = require("electron");

const { app, BrowserWindow, ipcMain } = electron;

let mainWindow;

// *Uygulama hazır olduğunda ilk çalışan fonksiyon.
app.on("ready", () => {
    console.log("Uygulama çalıştı.");

    mainWindow = new BrowserWindow({
        webPreferences: {
            //* Frontend kısmında "Electron require() is not defined" hata çözümü.
            nodeIntegration: true,
            contextIsolation: false,
        },
        width: 1000,
        height: 600,
        resizable: true, // *Ekran boyutu imleç ile değiştirilemez.
        maximizable: false, // *Ekran maksimum hale getirilemez
        backgroundColor: "#d5ecc2",
    });

    mainWindow.loadURL(
        url.format({
            pathname: path.join(__dirname, "main.html"),
            protocol: "file:",
            slashes: true,
        })
    );

    ipcMain.on("btnClick", (err, data) => {
        console.log(data);
    });

    ipcMain.on("key:settingScreen", () => {
        createWİndow();
    });
});

function createWİndow() {
    addWindow = new BrowserWindow({
        width: 482,
        height: 200,
        title: "Ayarlar",
    });

    addWindow.loadURL(
        url.format({
            pathname: path.join(__dirname, "./pages/settings.html"),
            protocol: "file:",
            slashes: true,
        })
    );
}